summaryrefslogtreecommitdiffstats
path: root/network/libtls
diff options
context:
space:
mode:
Diffstat (limited to 'network/libtls')
-rw-r--r--network/libtls/README12
-rw-r--r--network/libtls/libtls.SlackBuild110
-rw-r--r--network/libtls/libtls.info10
-rw-r--r--network/libtls/slack-desc19
4 files changed, 151 insertions, 0 deletions
diff --git a/network/libtls/README b/network/libtls/README
new file mode 100644
index 0000000000..960ec647d0
--- /dev/null
+++ b/network/libtls/README
@@ -0,0 +1,12 @@
+The tls family of functions establishes a secure communications channel
+using the TLS socket protocol. Both clients and servers are supported.
+
+A TLS connection object is created by tls_client(3) or tls_server(3) and
+configured with tls_configure(3).
+
+This also includes a TLS-enabled version of netcat (libressl-nc).
+
+************************************************************************
+NOTE! The libressl package already contains libtls.
+It's recommended to uninstall this before installing libressl.
+************************************************************************
diff --git a/network/libtls/libtls.SlackBuild b/network/libtls/libtls.SlackBuild
new file mode 100644
index 0000000000..a36c2f04d4
--- /dev/null
+++ b/network/libtls/libtls.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/bash
+
+# slackbuild script for libtls by D Woodfall
+#
+# WTFPL licence 2023
+
+# BUILD 2: Thanks to Naglfar:
+#
+# --with-openssldir=/etc/libressl \
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=libtls
+SRCNAM=libressl
+VERSION=${VERSION:-3.7.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} + \
+ -o \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} +
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --enable-libtls-only \
+ --enable-nc \
+ --disable-tests \
+ --disable-static \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc/libressl \
+ --with-openssldir=/etc/libressl \
+ --program-prefix "libressl-" \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+gzip -9 $PKG/usr/man/man1/libressl-nc.1
+
+mkdir -p $PKG/usr/man/man3
+
+for page in \
+ tls_client.3 tls_config_ocsp_require_stapling.3 \
+ tls_config_set_protocols.3 tls_config_set_session_id.3 tls_config_verify.3 \
+ tls_conn_version.3 tls_connect.3 tls_init.3 tls_load_file.3 \
+ tls_ocsp_process_response.3 tls_read.3; do
+ gzip -9c man/$page > $PKG/usr/man/man3/$page.gz
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING ChangeLog README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/libtls/libtls.info b/network/libtls/libtls.info
new file mode 100644
index 0000000000..63e80c1de2
--- /dev/null
+++ b/network/libtls/libtls.info
@@ -0,0 +1,10 @@
+PRGNAM="libtls"
+VERSION="3.7.1"
+HOMEPAGE="https://www.libressl.org"
+DOWNLOAD="https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/libressl-3.7.1.tar.gz"
+MD5SUM="133f11e478f46528414245dccb6355f2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="D Woodfall"
+EMAIL="dave@slackbuilds.org"
diff --git a/network/libtls/slack-desc b/network/libtls/slack-desc
new file mode 100644
index 0000000000..df5dc9b3b8
--- /dev/null
+++ b/network/libtls/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libtls: libtls (a new TLS library by OpenBSD, part of libreSSL)
+libtls:
+libtls: The tls family of functions establishes a secure communications
+libtls: channel using the TLS socket protocol. Both clients and servers are
+libtls: supported.
+libtls:
+libtls: This also includes a TLS-enabled version of netcat (nc-tls).
+libtls:
+libtls: https://www.libtls.org
+libtls:
+libtls: